ODBC version is not supported issue

classic Classic list List threaded Threaded
14 messages Options
wallace321 wallace321
Reply | Threaded
Open this post in threaded view
|

ODBC version is not supported issue

Hi I have a similar question to the problem here Problem-with-ODBC we are attempting to connect Ignite to RazorSQL.

I've tried both 32 and 64 bit. Any help would be much appreciated!

Here is the log when enabling trace:
razorsql        12d8-1374	ENTER SQLAllocEnv 
		HENV *              0x2FBEECB0

razorsql        12d8-1374	EXIT  SQLAllocEnv  with return code 0 (SQL_SUCCESS)
		HENV *              0x2FBEECB0 ( 0x003DE650)

razorsql        12d8-1374	ENTER SQLAllocConnect 
		HENV                0x003DE650
		HDBC *              0x2FBEEC10

razorsql        12d8-1374	EXIT  SQLAllocConnect  with return code 0 (SQL_SUCCESS)
		HENV                0x003DE650
		HDBC *              0x2FBEEC10 ( 0x003DE6D0)

razorsql        12d8-1374	ENTER SQLSetConnectOption 
		HDBC                0x003DE6D0
		SQLINTEGER                 103 <SQL_LOGIN_TIMEOUT>
		SQLPOINTER                35

razorsql        12d8-1374	EXIT  SQLSetConnectOption  with return code 0 (SQL_SUCCESS)
		HDBC                0x003DE6D0
		SQLINTEGER                 103 <SQL_LOGIN_TIMEOUT>
		SQLPOINTER                35

razorsql        12d8-1374	ENTER SQLDriverConnectW 
		HDBC                0x003DE6D0
		HWND                0x00000000
		WCHAR *             0x6F861F7C [      -3] "******\ 0"
		SWORD                       -3 
		WCHAR *             0x6F861F7C 
		SWORD                       -3 
		SWORD *             0x00000000
		UWORD                        0 <SQL_DRIVER_NOPROMPT>

razorsql        12d8-1374	EXIT  SQLDriverConnectW  with return code -1 (SQL_ERROR)
		HDBC                0x003DE6D0
		HWND                0x00000000
		WCHAR *             0x6F861F7C [      -3] "******\ 0"
		SWORD                       -3 
		WCHAR *             0x6F861F7C 
		SWORD                       -3 
		SWORD *             0x00000000
		UWORD                        0 <SQL_DRIVER_NOPROMPT>

		DIAG [S1000] ODBC version is not supported. (0) 

		DIAG [08001] Failed to establish connection with the host. (0) 

razorsql        12d8-1374	ENTER SQLErrorW 
		HENV                0x00000000
		HDBC                0x003DE6D0
		HSTMT               0x00000000
		WCHAR *             0x2FBEEAF4
		SDWORD *            0x2FBEEB3C
		WCHAR *             0x2FBEE6F4 
		SWORD                      300 
		SWORD *             0x2FBEEB38

razorsql        12d8-1374	EXIT  SQLErrorW  with return code 0 (SQL_SUCCESS)
		HENV                0x00000000
		HDBC                0x003DE6D0
		HSTMT               0x00000000
		WCHAR *             0x2FBEEAF4 [       5] "S1000"
		SDWORD *            0x2FBEEB3C (0)
		WCHAR *             0x2FBEE6F4 [      30] "ODBC version is not supported."
		SWORD                      300 
		SWORD *             0x2FBEEB38 (30)

razorsql        12d8-1374	ENTER SQLErrorW 
		HENV                0x00000000
		HDBC                0x003DE6D0
		HSTMT               0x00000000
		WCHAR *             0x2FBEEAF4
		SDWORD *            0x2FBEEB3C
		WCHAR *             0x2FBEE6F4 
		SWORD                      300 
		SWORD *             0x2FBEEB38

razorsql        12d8-1374	EXIT  SQLErrorW  with return code 0 (SQL_SUCCESS)
		HENV                0x00000000
		HDBC                0x003DE6D0
		HSTMT               0x00000000
		WCHAR *             0x2FBEEAF4 [       5] "08001"
		SDWORD *            0x2FBEEB3C (0)
		WCHAR *             0x2FBEE6F4 [      45] "Failed to establish connection with the host."
		SWORD                      300 
		SWORD *             0x2FBEEB38 (45)

razorsql        12d8-1374	ENTER SQLErrorW 
		HENV                0x00000000
		HDBC                0x003DE6D0
		HSTMT               0x00000000
		WCHAR *             0x2FBEEAF4
		SDWORD *            0x2FBEEB3C
		WCHAR *             0x2FBEE6F4 
		SWORD                      300 
		SWORD *             0x2FBEEB38

razorsql        12d8-1374	EXIT  SQLErrorW  with return code 100 (SQL_NO_DATA_FOUND)
		HENV                0x00000000
		HDBC                0x003DE6D0
		HSTMT               0x00000000
		WCHAR *             0x2FBEEAF4
		SDWORD *            0x2FBEEB3C
		WCHAR *             0x2FBEE6F4 
		SWORD                      300 
		SWORD *             0x2FBEEB38

razorsql        12d8-1374	ENTER SQLFreeConnect 
		HDBC                0x003DE6D0

razorsql        12d8-1374	EXIT  SQLFreeConnect  with return code 0 (SQL_SUCCESS)
		HDBC                0x003DE6D0

razorsql        12d8-1374	ENTER SQLFreeEnv 
		HENV                0x003DE650

razorsql        12d8-1374	EXIT  SQLFreeEnv  with return code 0 (SQL_SUCCESS)
		HENV                0x003DE650
Igor Sapego Igor Sapego
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Hi,

Thanks for the log. I can't see from it which version RazorSQL tries
to set, but I guess it's 2.0. Currently, we only support 3.0. I've filed a
ticket for this:



Best Regards,
Igor

On Tue, Jul 25, 2017 at 11:07 PM, wallace321 <[hidden email]> wrote:
Hi I have a similar question to the problem here  Problem-with-ODBC
<http://apache-ignite-users.70518.x6.nabble.com/Problem-with-ODBC-td10629.html>
we are attempting to connect Ignite to RazorSQL.

I've tried both 32 and 64 bit. Any help would be much appreciated!

Here is the log when enabling trace:




--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.

limabean limabean
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Igor,

Thanks for a prompt reply to this and opening a Jira for us.

Do you have an idea on how difficult something like this is to fix ?

Wallace and I have to support a legacy BI tool and ODBC is required to support that tool (unfortunately). We use RazorSQL in our development process, which is why we reported the problem when using Razor.

Also, another question on the ODBC driver...  When configuring the driver it offers only two options: 1.6 and 1.8.  Are these versions supposed to match the Ignite version we are connecting to (we are currently using 2.0) or does it matter ?

Thanks again,



Igor Sapego Igor Sapego
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

I don't know how difficult is something like this going to be for fixing,
as the version issue can hide some other issues. It's something that
needs to be investigated yet.

Now, to the versions. Yes, this is driver protocol version, which should
be not higher than the node's Ignite version. It can be lower though. But
please note, that after 2.1 backward compatibility for older ODBC version
is going to be broken, meaning you would only be able to use new drivers
with protocol version 2.1 and higher for nodes with version >= 2.1.

Best Regards,
Igor

On Wed, Jul 26, 2017 at 3:04 PM, limabean <[hidden email]> wrote:
Igor,

Thanks for a prompt reply to this and opening a Jira for us.

Do you have an idea on how difficult something like this is to fix ?

Wallace and I have to support a legacy BI tool and ODBC is required to
support that tool (unfortunately). We use RazorSQL in our development
process, which is why we reported the problem when using Razor.

Also, another question on the ODBC driver...  When configuring the driver it
offers only two options: 1.6 and 1.8.  Are these versions supposed to match
the Ignite version we are connecting to (we are currently using 2.0) or does
it matter ?

Thanks again,







--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15688.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.

limabean limabean
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Thank you, Igor.  Very helpful !
Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Hello again,

I've started working on the RazorSQL support, downloaded the
latest version from the official site and there is no issue with version
you have mentioned (there are some other issues though). Can
you point out what is the version of the RazorSQL you were using,
so that I can test with your version as well?

Also, operation system version could be helpful.

Thanks in advance.

Best Regards,
Igor

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:
Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.

wallace321 wallace321
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 

Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

RazorSQL 2.0.0? Do you know where I can download it?

Also, have you tried our JDBC driver?

Best Regards,
Igor

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 


Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Oh, from your video I can see that you are using RazorSQL 7.3.2.
Thanks

Best Regards,
Igor

On Thu, Aug 3, 2017 at 6:42 PM, Igor Sapego <[hidden email]> wrote:
RazorSQL 2.0.0? Do you know where I can download it?

Also, have you tried our JDBC driver?

Best Regards,
Igor

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 



Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

I think that in your case the core issue may be not "SQL version
is not supported", but the other one,"Cannot establish connection
with the host". Is the node up and running?


Best Regards,
Igor

On Thu, Aug 3, 2017 at 6:43 PM, Igor Sapego <[hidden email]> wrote:
Oh, from your video I can see that you are using RazorSQL 7.3.2.
Thanks

Best Regards,
Igor

On Thu, Aug 3, 2017 at 6:42 PM, Igor Sapego <[hidden email]> wrote:
RazorSQL 2.0.0? Do you know where I can download it?

Also, have you tried our JDBC driver?

Best Regards,
Igor

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 




wallace321 wallace321
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

It appears the node is up. Qlik, which we trying to are connect to, is only able to connect via ODBC which is why are not using the JDBC driver.

 

Here is another video with a lot more tests:

https://github.com/graben1437/SparkToIgniteTest/blob/master/src/main/resources/IgniteODBCDriverStillNotWorking.mp4.gz

 

With Respect,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 11:49 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

I think that in your case the core issue may be not "SQL version

is not supported", but the other one,"Cannot establish connection

with the host". Is the node up and running?

 


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:43 PM, Igor Sapego <[hidden email]> wrote:

Oh, from your video I can see that you are using RazorSQL 7.3.2.

Thanks


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:42 PM, Igor Sapego <[hidden email]> wrote:

RazorSQL 2.0.0? Do you know where I can download it?

 

Also, have you tried our JDBC driver?


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 

 

 

 

Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Yeah, "Data type in not supported" - this is the message I'm getting
currently. I was just making sure we are on the same page. I'm
working on this and other issues right now.

I'll notify you when I'm done. Thanks for your assistance.

Best Regards,
Igor

On Thu, Aug 3, 2017 at 10:06 PM, Dar Swift <[hidden email]> wrote:

It appears the node is up. Qlik, which we trying to are connect to, is only able to connect via ODBC which is why are not using the JDBC driver.

 

Here is another video with a lot more tests:

https://github.com/graben1437/SparkToIgniteTest/blob/master/src/main/resources/IgniteODBCDriverStillNotWorking.mp4.gz

 

With Respect,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 11:49 AM


To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

I think that in your case the core issue may be not "SQL version

is not supported", but the other one,"Cannot establish connection

with the host". Is the node up and running?

 


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:43 PM, Igor Sapego <[hidden email]> wrote:

Oh, from your video I can see that you are using RazorSQL 7.3.2.

Thanks


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:42 PM, Igor Sapego <[hidden email]> wrote:

RazorSQL 2.0.0? Do you know where I can download it?

 

Also, have you tried our JDBC driver?


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 

 

 

 


Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

I'm working on the issue now, so all you guys who
are interested in RazorSQL support can watch [1]
Jira ticket for the progress. Right now I believe that
by the end of the week I'll either make it working or
will know more precisely when it will work.


Best Regards,
Igor

On Fri, Aug 4, 2017 at 11:58 AM, Igor Sapego <[hidden email]> wrote:
Yeah, "Data type in not supported" - this is the message I'm getting
currently. I was just making sure we are on the same page. I'm
working on this and other issues right now.

I'll notify you when I'm done. Thanks for your assistance.

Best Regards,
Igor

On Thu, Aug 3, 2017 at 10:06 PM, Dar Swift <[hidden email]> wrote:

It appears the node is up. Qlik, which we trying to are connect to, is only able to connect via ODBC which is why are not using the JDBC driver.

 

Here is another video with a lot more tests:

https://github.com/graben1437/SparkToIgniteTest/blob/master/src/main/resources/IgniteODBCDriverStillNotWorking.mp4.gz

 

With Respect,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 11:49 AM


To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

I think that in your case the core issue may be not "SQL version

is not supported", but the other one,"Cannot establish connection

with the host". Is the node up and running?

 


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:43 PM, Igor Sapego <[hidden email]> wrote:

Oh, from your video I can see that you are using RazorSQL 7.3.2.

Thanks


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:42 PM, Igor Sapego <[hidden email]> wrote:

RazorSQL 2.0.0? Do you know where I can download it?

 

Also, have you tried our JDBC driver?


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.

 

 

 

 



Igor Sapego-1 Igor Sapego-1
Reply | Threaded
Open this post in threaded view
|

Re: ODBC version is not supported issue

Hello,

All issues with RazorSQL resolved, reviewed and merged
to master [1]. The next release (2.2) will include these changes
or you can try using code from the master.


Best Regards,
Igor

On Mon, Aug 7, 2017 at 4:00 PM, Igor Sapego <[hidden email]> wrote:
I'm working on the issue now, so all you guys who
are interested in RazorSQL support can watch [1]
Jira ticket for the progress. Right now I believe that
by the end of the week I'll either make it working or
will know more precisely when it will work.


Best Regards,
Igor

On Fri, Aug 4, 2017 at 11:58 AM, Igor Sapego <[hidden email]> wrote:
Yeah, "Data type in not supported" - this is the message I'm getting
currently. I was just making sure we are on the same page. I'm
working on this and other issues right now.

I'll notify you when I'm done. Thanks for your assistance.

Best Regards,
Igor

On Thu, Aug 3, 2017 at 10:06 PM, Dar Swift <[hidden email]> wrote:

It appears the node is up. Qlik, which we trying to are connect to, is only able to connect via ODBC which is why are not using the JDBC driver.

 

Here is another video with a lot more tests:

https://github.com/graben1437/SparkToIgniteTest/blob/master/src/main/resources/IgniteODBCDriverStillNotWorking.mp4.gz

 

With Respect,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 11:49 AM


To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

I think that in your case the core issue may be not "SQL version

is not supported", but the other one,"Cannot establish connection

with the host". Is the node up and running?

 


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:43 PM, Igor Sapego <[hidden email]> wrote:

Oh, from your video I can see that you are using RazorSQL 7.3.2.

Thanks


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:42 PM, Igor Sapego <[hidden email]> wrote:

RazorSQL 2.0.0? Do you know where I can download it?

 

Also, have you tried our JDBC driver?


Best Regards,

Igor

 

On Thu, Aug 3, 2017 at 6:28 PM, Dar Swift <[hidden email]> wrote:

Greetings Igor,

 

We have been using RazorSQL 2.0.0 running on a Windows Server 2012 R2 with visual C++ installed.

Ignite 2.0.0 is running on CentOS 7.3.1611 kernel - 3.10.0-514 x86_64.


Here is a video run through of our attempt:

https://github.com/graben1437/SparkToIgniteTest/tree/master/src/main/resources

 

Thank You,

Wallace

 

From: Igor Sapego <[hidden email]>
Reply-To: "[hidden email]" <[hidden email]>
Date: Thursday, August 3, 2017 at 6:23 AM
To: user <[hidden email]>
Subject: Re: ODBC version is not supported issue

 

Hello again,

 

I've started working on the RazorSQL support, downloaded the

latest version from the official site and there is no issue with version

you have mentioned (there are some other issues though). Can

you point out what is the version of the RazorSQL you were using,

so that I can test with your version as well?

 

Also, operation system version could be helpful.

 

Thanks in advance.


Best Regards,

Igor

 

On Wed, Jul 26, 2017 at 3:28 PM, limabean <[hidden email]> wrote:

Thank you, Igor.  Very helpful !



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ODBC-version-is-not-supported-issue-tp15641p15690.html

Sent from the Apache Ignite Users mailing list archive at Nabble.com.